defmodule DaProductApp.Repo.Migrations.ChangePayloadToJsonInCustomEventLog do
  use Ecto.Migration

  def up do
    execute("""
    ALTER TABLE custom_event_log
    MODIFY COLUMN payload JSON NOT NULL
    """)
  end

  def down do
    execute("""
    ALTER TABLE custom_event_log
    MODIFY COLUMN payload TEXT NOT NULL
    """)
  end
end
